
ChiliProject - Bug # 826: Top right toolbar items overlap for custom issues query

Status: Closed Priority: Normal
Author: Andreas Schuh Category: Themes
Created: 2012-01-11 Assignee:
Updated: 2012-02-06 Due date:
Remote issue URL:
Affected version: 3.0.0
Description: When creating a custom issues query in ChiliProject 3.0.0beta1, the toolbar items at the top right overlap. The 

"Delete" is overlapped by "New issue". See attached screenshot.

Associated revisions
2008-03-11 09:06 pm - Jean-Philippe Lang 
Fixes Mercurial browsing under unix-like os and for directory depth > 2 and (patch #826 by Frederic Moulins, slightly edited to preserve win32 
compatibility).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1228 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-02-06 11:58 pm - Holger Just 
[#826] Position the .button-large as any other title-bar element

History
2012-01-24 11:37 am - Holger Just
- Target version set to 3.0.0

- Category set to Themes

- Affected version set to 3.0.0

2012-02-01 10:03 pm - jamon camisso
- File application.css.icon-del.patch added

Not sure what the protocol is, or how best to handle the icon, but here's a patch that adds some padding to the icon-del class when preceded by 
icon-edit in a .contextual wrapper div. I don't think that structure occurs anywhere else?

2012-02-01 10:03 pm - jamon camisso
- Status changed from Open to Ready for review

2012-02-06 02:48 pm - Holger Just
Thanks for your patch, Jamon. Generally, we accept patches as attachments here or as Pull Requests on Github (with the latter preferred). For more 
information, please see our [[Contribute]] guide.

As for your patch, unfortunately just setting a fixed horizontal margin isn't sufficient, as different languages have very different text widths. So the 75 
pixel margin could be much too wide or much to slim for certain languages.

With https://github.com/chiliproject/chiliproject/pull/151 I attempt to fix it generically.

2012-02-06 05:14 pm - jamon camisso
Ah! Makes perfect sense, I see how you did it in the linked diff. I wasn't looking at the overall structure of the title-bar. Thanks for the explanation.
2012-02-06 10:19 pm - Holger Just
- Status changed from Ready for review to Closed

Merged in commit:bb5a6a2

Files
Screen_shot_2012-01-11_at_9.09.08_AM.png 8.5 kB 2012-01-11 Andreas Schuh
application.css.icon-del.patch 243 Bytes 2012-02-01 jamon camisso
